Which smartphones and operating systems are supported by the eBike Flow app?

eBike Flow App
Change product
  • iPhones from iOS version 14.0 and with BLE 5.0 (BLE = Bluetooth Low Energy) are supported.

  • Android smartphones from Android 7.1 and with BLE 5.0 (BLE = Bluetooth Low Energy) are supported.

Tell a friend

Share link

Was this helpful?

Any questions?
We're happy to help.

Contact us

Help Center

Any questions?
We're happy to help.

Contact us